Skip to content

Get song group

GET
/api/song-groups/{id}

Returns a single song group with its songs.

id
required

UUID identifier

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000

UUID identifier

Song group details

object
ok
required
boolean
data
required
object
id
required

UUID identifier

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
name
required
string
bandId
required

UUID identifier

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
songs
Array<object>
object
id
required

UUID identifier

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
title
required
string
artist
string
key

Musical key (e.g., Am, C, F#m)

string
tempo

BPM

integer
duration

Duration in seconds

integer
notes

Performance notes

string
timeSignature

Time signature (e.g., 4/4)

string
mediaUrl

Link to audio/video

string format: uri
tags
Array<string>
content

ChordPro formatted content (lyrics + chords)

string
leadVocal

Who sings lead

string
infoPa

Notes for sound engineer

string
twoColumnLayout
boolean
leadSheetUrl
string format: uri
updatedAt
string format: date-time
createdAt
string format: date-time
updatedAt
string format: date-time
createdAt
string format: date-time

Unauthorized

object
ok
required
boolean
error
required
string

Group not found

object
ok
required
boolean
error
required
string